Axelered AI
API Config

Undelete LLM Configuration

PUT
/w/{workspace_id}/config/models/{model_id}/undelete

Restore a previously soft-deleted LLM configuration.

Path Parameters

model_id*Model Id
Formatuuid
workspace_id*Workspace Id
Formatuuid

Response Body

application/json

application/json

{  "data": {    "config": {      "apiKey": "sk-...",      "model": "gpt-4o",      "provider": "openai"    },    "createdAt": "2026-05-20T10:14:00.000Z",    "id": "018f8e02-4b2a-7c9d-8d4e-123456789abc",    "modifiedAt": "2026-05-20T10:14:00.000Z",    "name": "OpenAI GPT-4o",    "workspaceId": "018f8e02-4b2a-7c9d-8d4e-987654321abc"  },  "status": "ok"}
{  "detail": [    {      "loc": [        "body",        "name"      ],      "msg": "Field required",      "type": "missing"    },    {      "loc": [        "body",        "config",        "provider"      ],      "msg": "Input should be 'openai', 'mistral' or 'local'",      "type": "enum",      "input": "invalid-provider"    }  ]}